--事件点触发  
--map.AddEvent(1800,2750,250,7041,0)


function m003_1()

local	xz=flag.GetValue(6001)	--主线旗标
local	xz1=flag.GetValue(6100)	--主线副旗标

if	xz==31	and	xz1==0	then

	--开始剧情 
	func_start(1654,2725,0,1)	
	--修改旗标 
	flag.SetValue(6001,32)
	--还原dlc
	--flag.SetValue(45000,2)
	--隐藏路人
	npc.SetVisible(404,0)
	npc.SetVisible(517,0)

	local	i
	
	--建立npc 
	--夏侯澜辉
	npc.Create(1,1,1654,2725)
	npc.SetAt(1,1,0)
	npc.SetVisible(1,0)
	--瑕	
	npc.Create(2,2,1700,2750)
	npc.SetAt(2,1,0)
	npc.SetVisible(2,0)
	--姜承 
	npc.Create(3,3,1620,2750)
	npc.SetVisible(3,0)
	--罡斩
	npc.Create(5,5,1620,2750)
	npc.SetVisible(5,0)	
	
	
	
	
	
	--镜头1 
	--绿村全景特写 
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(3534,160,1927,3609,138,1865)
	camera.ResetLerp(6000)	
	camera.ChangeCameraStatic(3311,299,2217,3375,280,2143)
	effect.FadeIn(1,0.5)
	global.PlaySoundLoop(2040,100)
	global.Wait(5)
	camera.ResetLerp(5000)	
	camera.ChangeCameraStatic(3127,297,2237,3205,320,2179)		
	global.Wait(4)
	effect.FadeOut(1,1)
	global.Wait(1)	
	global.StopLastLoopSound()	
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(793,395,3475,830,350,3394)	
	camera.ResetLerp(8000)	
	camera.ChangeCameraStatic(793,395,3475,890,379,3459)	
	effect.FadeIn(1,0.5)
	global.Wait(7)
	camera.ResetLerp(13000)	
	camera.ChangeCameraStatic(2278,272,2909,2370,247,2879)		
	global.Wait(8)
	effect.FadeOut(1,1)
	global.Wait(1)
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(2333,317,2877,2428,298,2854)	
	camera.ResetLerp(8000)	
	camera.ChangeCameraStatic(2333,317,2877,2371,289,2788)	
	effect.FadeIn(1,0.5)
	wt(1)
	-- map.CreateNameSE(3794)--地名特效
	global.Wait(6)
	effect.FadeOut(1,0.7)
	global.Wait(1.5)
	--淡入  
	effect.FadeIn(1,1)
	global.WaitForCameraLerp()
	

	
	--镜头2  
	--绿村入口
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(1701,216,2933,1684,168,2847)	
	camera.ResetLerp(2500)	
	camera.ChangeCameraStatic(1785,186,2890,1770,144,2800)		
	--瑕、夏侯走上前
	--夏侯先停下
	--瑕继续往前走了两步 	
	npc.SetVisible(1,1)
	npc.SetVisible(2,1)
	npc.MoveTo(2,1772,2772)
	npc.MoveTo(1,1735,2750)
	global.Wait(2)
	--瑕兴奋 高兴 
	npc.TurnTo(2,1,1,1)
	--拉镜头 
	camera.ResetLerp(10000)	
	camera.ChangeCameraStatic(1768,160,2857,1764,130,2762)			
	wt(1)
	npc.SetAnim(2,211,2)
	global.Wait(1)
	ui.Dialog(75937,191,2,2,0,0)		--哈……终于到了有人的地方了。
	ui.Dialog(75938,192,2,2,0,0)		--虽说已经习惯风餐露宿了，可是在野外还是不舒服。
	
	--夏侯笑
	-- npc.TurnToNpc(1,2,1)
	npc.SetHeadRotTo(1,2,1,50)
	global.Wait(0.5)
	-- npc.SetAnim(1,211,2)
	-- global.Wait(1)
	
	ui.Dialog(75939,518,0,1,0,0)	--微笑 --……

	--瑕生气	
	global.Wait(1)
	npc.TurnToNpc(2,1,1)
	global.Wait(0.5)
	npc.SetAnim(1,200)
	-- npc.SetAnim(2,245)
	global.Wait(1)
	
	ui.Dialog(75940,739,2,2,0,0)	--……你笑什么！我可不是怕吃苦！别以为我和你这种大少爷一样！
	wt(0.8)
	ui.Dialog(75941,524,0,1,0,0)		--……我什么也没说啊……
	
	--拉镜头  
	camera.ResetLerp(10000)	
	camera.ChangeCameraStatic(1836,208,2908,1794,162,2830)				
	--罡斩、姜承走向夏侯  
	npc.SetVisible(3,1)
	npc.SetVisible(5,1)
	npc.MoveTo(3,1702,2754)
	npc.MoveTo(5,1726,2789,1)
	npc.TurnToNpc(5,2,1)
	global.Wait(0.5)
	--罡斩摇手指
	npc.SetAnimSpeed(5,130)	
	npc.SetAnim(5,207,1)
	npc.SetAnim(5,200)
	npc.SetAnimSpeed(5,100)	
	
	ui.Dialog(75942,121,0,5,0,0)		--唉呀，小姑娘别吵啦，赶紧让小少爷干正事要紧！
	
	--姜承转向罡斩 
	npc.TurnToNpc(3,5,1)
	global.Wait(0.5)
	
	ui.Dialog(75943,132,0,3,0,0)		--？
	
	--夏侯转向罡斩 
	-- 瑕转向罡斩 	
	npc.SetHeadRot(1,0,0)
	npc.TurnToNpc(1,5,1)
	npc.TurnToNpc(2,5,1)
	global.Wait(0.5)
	
	ui.Dialog(75944,523,0,1,0,0)		--谢兄，何事？
	
	--罡斩笑
	npc.TurnToNpc(5,1,1)
	npc.SetSpeed(5,200)
	npc.SetAnim(5,211,2)
	global.Wait(1)
	
	ui.Dialog(75945,112,0,5,0,0)		--当然是找个住处，然后好好祭祭咱们的五脏庙啊！

	-- 罡斩速度恢复 
	npc.SetSpeed(5,100)
	
	
	
	
	
	
	
	
	--清理npc 恢复转头 
	effect.FadeOut(1,1)
	global.Wait(1)	
	
	for	i=1,6,1
		do 
		npc.SetHeadRot(i,0,0)
		end
	
	global.Wait(0.5)
	
	for i=1,20,1
		do
		npc.Destroy(i)
		end	
	
	--恢复路人
	npc.SetVisible(404,1)
	npc.SetVisible(517,1)


	--瑕
	player.AddItem(391,1,0)
	ui.Message(75946)--收到一封神秘的信
	global.Wait(1)
	
	func_end(1620,2750,1,1)		

end

end